Loading...
Searching...
No Matches
gtsam::FastMap< KEY, VALUE > Class Template Reference
Base

## Detailed Description

template<typename KEY, typename VALUE>
class gtsam::FastMap< KEY, VALUE >

FastMap is a thin wrapper around std::map that uses the boost fast_pool_allocator instead of the default STL allocator.

This is just a convenience to avoid having lengthy types in the code. Through timing, we've seen that the fast_pool_allocator can lead to speedups of several percent.

Inheritance diagram for gtsam::FastMap< KEY, VALUE >:

## Public Member Functions

| FastMap ()
| Default constructor.
template<typename INPUTITERATOR>
| FastMap (INPUTITERATOR first, INPUTITERATOR last)
| Constructor from a range, passes through to base class.
| FastMap (const FastMap< KEY, VALUE > &x)
| Copy constructor from another FastMap.
| FastMap (const Base &x)
| Copy constructor from the base map class.
| operator std::map< KEY, VALUE > () const
| Conversion to a standard STL container.
bool | insert2 (const KEY &key, const VALUE &val)
| Handy 'insert' function for Matlab wrapper.
bool | exists (const KEY &e) const
| Handy 'exists' function.

## Public Types

typedef std::map< KEY, VALUE, std::less< KEY >, typename internal::FastDefaultAllocator< std::pair< const KEY, VALUE > >::type > | Base

## Friends

class | boost::serialization::access
| Serialization function.

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/FastMap.h